Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class StopInstancesResult

    java.lang.Object
      com.amazonaws.services.ec2.model.StopInstancesResult

    public class StopInstancesResult

extends Object

The result of calling the StopInstances operation. Contains details on how the specified instances are changing state.

Constructor Summary
`StopInstancesResult()`

Method Summary
`List<InstanceStateChange>` | `getStoppingInstances()` The list of the stopping instances and details on how their state has changed.
`void` | `setStoppingInstances(Collection<InstanceStateChange> stoppingInstances)` The list of the stopping instances and details on how their state has changed.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`StopInstancesResult` | `withStoppingInstances(Collection<InstanceStateChange> stoppingInstances)` The list of the stopping instances and details on how their state has changed.
`StopInstancesResult` | `withStoppingInstances(InstanceStateChange... stoppingInstances)` The list of the stopping instances and details on how their state has changed.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StopInstancesResult

    public StopInstancesResult()

Method Detail

### getStoppingInstances

    public List<InstanceStateChange> getStoppingInstances()

  The list of the stopping instances and details on how their state has changed.

  Returns:
    The list of the stopping instances and details on how their state has changed.

### setStoppingInstances

    public void setStoppingInstances(Collection<InstanceStateChange> stoppingInstances)

  The list of the stopping instances and details on how their state has changed.

  Parameters:
    `stoppingInstances` - The list of the stopping instances and details on how their state has changed.

### withStoppingInstances

    public StopInstancesResult withStoppingInstances(InstanceStateChange... stoppingInstances)

  The list of the stopping instances and details on how their state has changed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `stoppingInstances` - The list of the stopping instances and details on how their state has changed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withStoppingInstances

    public StopInstancesResult withStoppingInstances(Collection<InstanceStateChange> stoppingInstances)

  The list of the stopping instances and details on how their state has changed.

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `stoppingInstances` - The list of the stopping instances and details on how their state has changed.
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.